g_actor=0;
function createAllDraw() 
	createDraw(0,"drawBehavior/vanshipBullet_normal_0.ini");
	createDraw(1,"drawBehavior/vanshipBullet_normal_1.ini");
	createDraw(2,"drawBehavior/vanshipBullet_normal_2.ini");
	createDraw(3,"drawBehavior/vanshipBullet_normal_3.ini");

	createDraw(4,"drawBehavior/vanshipBullet_flower_0.ini");
	createDraw(5,"drawBehavior/vanshipBullet_flower_1.ini");
	createDraw(6,"drawBehavior/vanshipBullet_flower_2.ini");
	createDraw(7,"drawBehavior/vanshipBullet_flower_3.ini");

	createDraw(8,"drawBehavior/vanshipBullet_laser_0.ini");
	createDraw(9,"drawBehavior/vanshipBullet_laser_1.ini");
	createDraw(10,"drawBehavior/vanshipBullet_laser_2.ini");
	createDraw(11,"drawBehavior/vanshipBullet_laser_3.ini");

	createDraw(12,"drawBehavior/vanshipEffect_powerup.ini");
	createDraw(13,"drawBehavior/vanshipEffect_bombup.ini");
	createDraw(14,"drawBehavior/vanshipEffect_lifeup.ini");

	createDraw(20,"drawBehavior/vanshipDie.ini");
	createDraw(21,"drawBehavior/bullet_effect.ini");
	createDraw(22,"drawBehavior/enemy_explorer0.ini");
	createDraw(23,"drawBehavior/enemy_explorer1.ini");

	createDraw(30,"drawBehavior/bullet/bullet0.ini");
	createDraw(31,"drawBehavior/bullet/bullet1.ini");
	createDraw(32,"drawBehavior/bullet/bullet2.ini");
	createDraw(33,"drawBehavior/bullet/bullet3.ini");
	createDraw(34,"drawBehavior/bullet/bullet4.ini");
	createDraw(35,"drawBehavior/bullet/bullet5.ini");
	createDraw(36,"drawBehavior/bullet/bullet6.ini");
	createDraw(37,"drawBehavior/bullet/bullet7.ini");
	createDraw(38,"drawBehavior/bullet/bullet8.ini");
	createDraw(39,"drawBehavior/bullet/bullet9.ini");
	createDraw(40,"drawBehavior/bullet/bullet10.ini");
	createDraw(41,"drawBehavior/bullet/bullet11.ini");
	createDraw(42,"drawBehavior/bullet/bullet12.ini");
	createDraw(43,"drawBehavior/bullet/bullet13.ini");
	createDraw(44,"drawBehavior/bullet/bullet14.ini");
	createDraw(45,"drawBehavior/bullet/bullet15.ini");
	createDraw(46,"drawBehavior/bullet/bullet16.ini");
	createDraw(47,"drawBehavior/bullet/bullet17.ini");

	createDraw(80,"drawBehavior/item/item500g.ini");
	createDraw(81,"drawBehavior/item/item1000g.ini");
	createDraw(82,"drawBehavior/item/item2000g.ini");
	createDraw(83,"drawBehavior/item/itemSmallP.ini");
	createDraw(84,"drawBehavior/item/itemBigP.ini");
	createDraw(85,"drawBehavior/item/itemBomb.ini");
	createDraw(86,"drawBehavior/item/itemLife0.ini");
	createDraw(87,"drawBehavior/item/itemLife1.ini");

	createDraw(100,"drawBehavior/enemy/enemy0.ini");
	createDraw(101,"drawBehavior/enemy/enemy1.ini");
	createDraw(102,"drawBehavior/enemy/enemy2.ini");
	createDraw(103,"drawBehavior/enemy/enemy3.ini");
	createDraw(104,"drawBehavior/enemy/enemy4.ini");
	createDraw(105,"drawBehavior/enemy/enemy5.ini");
	createDraw(106,"drawBehavior/enemy/enemy6.ini");
	createDraw(107,"drawBehavior/enemy/enemy7.ini");
	createDraw(108,"drawBehavior/enemy/enemy8.ini");
	createDraw(109,"drawBehavior/enemy/enemy9.ini");
	createDraw(110,"drawBehavior/enemy/enemy10.ini");
	createDraw(111,"drawBehavior/enemy/enemy11.ini");
	createDraw(112,"drawBehavior/enemy/enemy12.ini");
	createDraw(113,"drawBehavior/enemy/enemy13.ini");
	createDraw(114,"drawBehavior/enemy/enemy14.ini");
	createDraw(115,"drawBehavior/enemy/enemy15.ini");
	createDraw(116,"drawBehavior/enemy/enemy16.ini");
	createDraw(117,"drawBehavior/enemy/enemy17.ini");
	createDraw(118,"drawBehavior/enemy/enemy18.ini");
	createDraw(119,"drawBehavior/enemy/enemy19.ini");
	createDraw(120,"drawBehavior/enemy/enemy20.ini");
	createDraw(121,"drawBehavior/enemy/enemy21.ini");
	createDraw(122,"drawBehavior/enemy/enemy22.ini");
	createDraw(123,"drawBehavior/enemy/enemy23.ini");
	createDraw(124,"drawBehavior/enemy/enemy24.ini");
	createDraw(125,"drawBehavior/enemy/enemy25.ini");
	createDraw(126,"drawBehavior/enemy/enemy26.ini");
	createDraw(127,"drawBehavior/enemy/enemy27.ini");
	createDraw(128,"drawBehavior/enemy/enemy28.ini");
	createDraw(129,"drawBehavior/enemy/enemy29.ini");
	createDraw(130,"drawBehavior/enemy/enemy30.ini");
	createDraw(131,"drawBehavior/enemy/enemy31.ini");
	createDraw(132,"drawBehavior/enemy/enemy32.ini");
	createDraw(133,"drawBehavior/enemy/enemy33.ini");
end

function createAllMove() 
	createMove(0,"MoveBehavior/vanship_burn.ini");

	createMove(10,"MoveBehavior/blue_mode0.ini");
	createMove(11,"MoveBehavior/blue_mode1.ini");
	createMove(12,"MoveBehavior/blue_mode2.ini");
	createMove(13,"MoveBehavior/blue_mode3.ini");

	createMove(14,"MoveBehavior/ball_round0.ini");
	createMove(15,"MoveBehavior/ball_round1.ini");
end

function createAllBp()
	createBp(0,"bp/vanship_normal.xml");

	createBp(4,"bp/vanship_flower_0.xml");
	createBp(5,"bp/vanship_flower_1.xml");
	createBp(6,"bp/vanship_flower_2.xml");
	createBp(7,"bp/vanship_flower_3.xml");	
	
	createBp(8,"bp/vanship_laser.xml");

	createBp(10,"bp/0-0.xml");
	createBp(11,"bp/0-1.xml");
	createBp(12,"bp/0-2.xml");
	createBp(13,"bp/0-3.xml");
	createBp(14,"bp/0-4.xml");

	createBp(23,"bp/1-3.xml");
	createBp(20+9,"bp/1-9.xml");
	createBp(20+28,"bp/1-28.xml");

	createBp(100+34,"bp/3-34.xml");

	createBp(100+57,"bp/3-57.xml");
	createBp(100+38,"bp/3-38.xml");
	createBp(100+60,"bp/3-60.xml");
	createBp(100+36,"bp/3-36.xml");
	createBp(100+37,"bp/3-37.xml");
end


function bossFire(tick)
	for i=0,4 do
		setTick(tick+20+i*4000)
		enemyFire(7,100+57,1,43,0,0,1,0);
		setTick(tick+20+670+i*4000)
		enemyFire(7,100+38,1,45,0,0,1,0);
		setTick(tick+20+900+i*4000)
		enemyFire(7,100+60,1,43,0,0,1,0);
		setTick(tick+20+1500+i*4000)
		enemyFire(7,100+36,1,43,0,0,1,0);
		setTick(tick+20+2500+i*4000)
		enemyFire(7,100+37,1,43,0,0,1,0);
	end
end

function stage_createBlueMode(tick,id)
	for i=0,3 do
		setTick(tick+30*i);
		if i==3 then
			createEnemy(id+i,101,0,10+i,220-i*40,0,2);
			setEnemyDieEvent(id+i,0,22,0);
			setEnemyDieEvent(id+i,1,4,1);
		else
			createEnemy(id+i,100,0,10+i,220-i*40,0,2);
			setEnemyDieEvent(id+i,0,22,0);
		end
	end
end

function stage_createBlueMode2(tick,id)
	for i=0,3 do
		setTick(tick+30*i);
		createEnemy(id+i,100,0,10+i,220-i*40,0,2);
		setEnemyDieEvent(id+i,0,22,0);
	end
end

function stage_blueModeFire(tick,id)
	for i=0,3 do
		setTick(tick+20*i);
		enemyFire(id+i,10,2.5,30,0,0,5,15);
	end
end

function stage_createRound0(tick,id,fire)
	for i=0,7 do
		setTick(tick+30*i);
		createEnemy(id+i,107,0,-1,0,0,80);
		setEnemyDieEvent(id+i,0,22,0);
		setEnemyDieEvent(id+i,1,1,10);
		setEnemySimpleMove(id+i,2,2,0,0);
		setTick(tick+30*i+60);
		changeEnemyMove(id+i,14);
		if fire==1 then
			setTick(tick+250);
			enemyFire(id+i,10,2,30,0,0,3,70);
		end
		setTick(tick+30*i+470);
		setEnemySimpleMove(id+i,-4,4,0,0);
	end
end

function stage_createRound1(tick,id,fire)
	for i=0,7 do
		setTick(tick+30*i);
		createEnemy(id+i,107,0,-1,448,600,80);
		setEnemyDieEvent(id+i,0,22,0);
		setEnemyDieEvent(id+i,1,1,10);
		setEnemySimpleMove(id+i,-2,-2,0,0);
		setTick(tick+30*i+90);
		changeEnemyMove(id+i,15);
		if fire==1 then
			setTick(tick+280);
			enemyFire(id+i,10,3,31,0,0,3,70);
		end
		setTick(tick+30*i+450);
		setEnemySimpleMove(id+i,4,-4,0,0);
	end
end

function stage_sideBall(tick,id,side)
	xpos=-20;
	xspeed=2;
	if side==1 then
		xpos=468;
		xspeed=-2;
	end
	for i=0,7 do
		setTick(tick+15*i);
		createEnemy(id+i,108,0,-1,xpos,60+i*60,60);
		setEnemyDieEvent(id+i,0,22,0);
		setEnemySimpleMove(id+i,xspeed,0,0,0);
		setTick(tick+15*i+30);
		setEnemySimpleMove(id+i,0,0,0,0);
		setTick(tick+15*i+510);
		setEnemySimpleMove(id+i,-xspeed,0,0,0);
		setTick(tick+150);
		enemyFire(id+i,10,3,30,0,0,5,70);
	end
end

function stage_createTrain(tick,id,xpos,num,hp)
	for i=0,num-1 do
		setTick(tick+114*i);
		createEnemy(id+i,133,0,-1,xpos,-40,hp);
		setEnemyDieEvent(id+i,0,22,0);
		setEnemySimpleMove(id+i,0,0.5,0,0);
	end
end

function stage_trainFire(tick,id,num)
	for i=0,num-1 do
		setTick(tick);
		enemyFire(id+i,23,2,31,0,0,1,0);
	end
end

function stage_LRplane(tick,id,draw,posx,yspeed,yacc,hp,lr,per_num)
	xpos=posx;
	incr=40;
	for i=0,lr-1 do
		for j=0,per_num-1 do
			setTick(tick+(i*per_num+j)*30);
			createEnemy(id+i*per_num+j,draw,0,-1,xpos,-40,hp);
			setEnemyDieEvent(id+i*per_num+j,0,22,0);
			setEnemySimpleMove(id+i*per_num+j,0,yspeed,0,yacc);	
			xpos=xpos+incr;
		end
		incr=incr-2*incr;
	end
end

function stage_lineStrike(tick,id,num,draw,x,hp)
	for i=0,num-1 do
		setTick(tick+30*i);
		createEnemy(id+i,draw,0,-1,x,-50,hp);
		setEnemySimpleMove(id+i,0,1,0,0.015);
		setEnemyDieEvent(id+i,0,22,0);
		setEnemyDieEvent(id+i,1,1,1)
	end
end

function stage_rainLine(tick,id,num,draw,x,y,hp)
	for i=0,num-1 do
		setTick(tick+30*i);
		createEnemy(id+i,draw,0,-1,x,y,hp);
		setEnemySimpleMove(id+i,1,1,0.015,0.015);
		setEnemyDieEvent(id+i,0,22,0);
	end
end

function stage_xLineRight(tick,id)
	for i=0,10 do
		setTick(tick+20*i)
		createEnemy(id+i,111,0,-1,440,100,10);
		setEnemySimpleMove(id+i,-1,1,-0.03,0.03);
		setEnemyDieEvent(id+i,0,22,0);
	end
end

function stage_xLineLeft(tick,id)
	for i=0,10 do
		setTick(tick+20*i)
		createEnemy(id+i,111,0,-1,0,100,10);
		setEnemySimpleMove(id+i,1,1,0.03,0.03);
		setEnemyDieEvent(id+i,0,22,0);
	end
end

function stage_createBlock(id,x,y)
	createEnemy(id,108,0,-1,x,y,4000);
	setEnemySimpleMove(id,0,4,0,0);
	setEnemyDieEvent(id,0,23,0);
end

--createMaze gen by StgMazeReader.exe
function stage_createMaze()
setTick(3713);
stage_createBlock(10,36,-23)
setTick(3719);
stage_createBlock(11,228,-23)
setTick(3720);
stage_createBlock(12,116,-23)
setTick(3721);
stage_createBlock(13,68,-23)
setTick(3722);
stage_createBlock(14,392,-23)
setTick(3726);
stage_createBlock(15,252,-23)
setTick(3728);
stage_createBlock(16,360,-23)
setTick(3729);
stage_createBlock(17,40,-23)
setTick(3730);
stage_createBlock(18,212,-23)
setTick(3732);
stage_createBlock(19,80,-23)
setTick(3738);
stage_createBlock(20,248,-23)
stage_createBlock(21,364,-23)
setTick(3744);
stage_createBlock(22,204,-23)
setTick(3758);
stage_createBlock(23,120,-23)
setTick(3762);
stage_createBlock(24,432,-23)
setTick(3764);
stage_createBlock(25,288,-23)
setTick(3766);
stage_createBlock(26,396,-23)
setTick(3767);
stage_createBlock(27,92,-23)
stage_createBlock(28,240,-23)
setTick(3768);
stage_createBlock(29,124,-23)
setTick(3774);
stage_createBlock(30,100,-23)
stage_createBlock(31,272,-23)
stage_createBlock(32,424,-23)
setTick(3780);
stage_createBlock(33,124,-23)
setTick(3784);
stage_createBlock(34,164,-23)
setTick(3785);
stage_createBlock(35,36,-23)
setTick(3790);
stage_createBlock(36,20,-23)
setTick(3800);
stage_createBlock(37,16,-23)
setTick(3805);
stage_createBlock(38,264,-23)
setTick(3807);
stage_createBlock(39,36,-23)
setTick(3809);
stage_createBlock(40,120,-23)
setTick(3811);
stage_createBlock(41,292,-23)
stage_createBlock(42,336,-23)
setTick(3816);
stage_createBlock(43,256,-23)
setTick(3817);
stage_createBlock(44,400,-23)
setTick(3818);
stage_createBlock(45,112,-23)
setTick(3821);
stage_createBlock(46,360,-23)
setTick(3827);
stage_createBlock(47,244,-23)
setTick(3828);
stage_createBlock(48,108,-23)
setTick(3833);
stage_createBlock(49,344,-23)
setTick(3834);
stage_createBlock(50,216,-23)
stage_createBlock(51,440,-23)
setTick(3837);
stage_createBlock(52,268,-23)
setTick(3839);
stage_createBlock(53,180,-23)
setTick(3842);
stage_createBlock(54,308,-23)
stage_createBlock(55,368,-23)
setTick(3845);
stage_createBlock(56,40,-23)
setTick(3852);
stage_createBlock(57,8,-23)
setTick(3857);
stage_createBlock(58,392,-23)
setTick(3863);
stage_createBlock(59,96,-23)
setTick(3866);
stage_createBlock(60,180,-23)
setTick(3867);
stage_createBlock(61,224,-23)
setTick(3868);
stage_createBlock(62,352,-23)
setTick(3870);
stage_createBlock(63,312,-23)
setTick(3871);
stage_createBlock(64,68,-23)
stage_createBlock(65,428,-23)
setTick(3878);
stage_createBlock(66,212,-23)
setTick(3880);
stage_createBlock(67,24,-23)
setTick(3881);
stage_createBlock(68,328,-23)
setTick(3882);
stage_createBlock(69,88,-23)
stage_createBlock(70,408,-23)
setTick(3888);
stage_createBlock(71,184,-23)
setTick(3893);
stage_createBlock(72,312,-23)
setTick(3894);
stage_createBlock(73,156,-23)
setTick(3897);
stage_createBlock(74,420,-23)
setTick(3900);
stage_createBlock(75,244,-23)
setTick(3904);
stage_createBlock(76,160,-23)
setTick(3906);
stage_createBlock(77,404,-23)
setTick(3916);
stage_createBlock(78,428,-23)
setTick(3917);
stage_createBlock(79,124,-23)
stage_createBlock(80,372,-23)
setTick(3924);
stage_createBlock(81,60,-23)
setTick(3926);
stage_createBlock(82,336,-23)
setTick(3928);
stage_createBlock(83,240,-23)
setTick(3935);
stage_createBlock(84,36,-23)
setTick(3939);
stage_createBlock(85,376,-23)
setTick(3944);
stage_createBlock(86,72,-23)
setTick(3946);
stage_createBlock(87,164,-23)
setTick(3957);
stage_createBlock(88,80,-23)
stage_createBlock(89,148,-23)
setTick(3962);
stage_createBlock(90,272,-23)
setTick(3965);
stage_createBlock(91,436,-23)
setTick(3966);
stage_createBlock(92,48,-23)
stage_createBlock(93,312,-23)
stage_createBlock(94,352,-23)
setTick(3967);
stage_createBlock(95,220,-23)
setTick(3977);
stage_createBlock(96,324,-23)
stage_createBlock(97,356,-23)
setTick(3980);
stage_createBlock(98,20,-23)
stage_createBlock(99,204,-23)
stage_createBlock(100,428,-23)
setTick(3982);
stage_createBlock(101,256,-23)
stage_createBlock(102,292,-23)
setTick(3989);
stage_createBlock(103,48,-23)
setTick(3991);
stage_createBlock(104,240,-23)
setTick(3997);
stage_createBlock(105,196,-23)
setTick(3998);
stage_createBlock(106,84,-23)
setTick(4001);
stage_createBlock(107,24,-23)
setTick(4002);
stage_createBlock(108,264,-23)
setTick(4005);
stage_createBlock(109,228,-23)
setTick(4010);
stage_createBlock(110,304,-23)
setTick(4018);
stage_createBlock(111,60,-23)
stage_createBlock(112,88,-23)
stage_createBlock(113,332,-23)
setTick(4044);
stage_createBlock(114,52,-23)
stage_createBlock(115,168,-23)
stage_createBlock(116,296,-23)
stage_createBlock(117,416,-23)
setTick(4058);
stage_createBlock(118,112,-23)
stage_createBlock(119,232,-23)
stage_createBlock(120,356,-23)
setTick(4075);
stage_createBlock(121,32,-23)
stage_createBlock(122,160,-23)
stage_createBlock(123,288,-23)
stage_createBlock(124,416,-23)
setTick(4096);
stage_createBlock(125,96,-23)
stage_createBlock(126,208,-23)
stage_createBlock(127,316,-23)
stage_createBlock(128,400,-23)
setTick(4123);
stage_createBlock(129,32,-23)
stage_createBlock(130,96,-23)
stage_createBlock(131,160,-23)
stage_createBlock(132,224,-23)
stage_createBlock(133,288,-23)
stage_createBlock(134,352,-23)
stage_createBlock(135,416,-23)
setTick(4129);
stage_createBlock(136,164,-23)
setTick(4138);
stage_createBlock(137,156,-23)
setTick(4140);
stage_createBlock(138,420,-23)
setTick(4143);
stage_createBlock(139,132,-23)
setTick(4145);
stage_createBlock(140,8,-23)
setTick(4146);
stage_createBlock(141,100,-23)
stage_createBlock(142,384,-23)
setTick(4148);
stage_createBlock(143,252,-23)
setTick(4151);
stage_createBlock(144,136,-23)
setTick(4155);
stage_createBlock(145,112,-23)
stage_createBlock(146,324,-23)
setTick(4162);
stage_createBlock(147,248,-23)
setTick(4168);
stage_createBlock(148,164,-23)
setTick(4172);
stage_createBlock(149,348,-23)
setTick(4178);
stage_createBlock(150,272,-23)
setTick(4186);
stage_createBlock(151,52,-23)
stage_createBlock(152,132,-23)
setTick(4190);
stage_createBlock(153,388,-23)
setTick(4194);
stage_createBlock(154,96,-23)
setTick(4198);
stage_createBlock(155,184,-23)
setTick(4203);
stage_createBlock(156,256,-23)
stage_createBlock(157,372,-23)
setTick(4204);
stage_createBlock(158,76,-23)
setTick(4210);
stage_createBlock(159,116,-23)
stage_createBlock(160,240,-23)
stage_createBlock(161,276,-23)
setTick(4217);
stage_createBlock(162,392,-23)
setTick(4230);
stage_createBlock(163,192,-23)
setTick(4238);
stage_createBlock(164,380,-23)
setTick(4239);
stage_createBlock(165,164,-23)
setTick(4241);
stage_createBlock(166,256,-23)
setTick(4247);
stage_createBlock(167,152,-23)
stage_createBlock(168,408,-23)
setTick(4248);
stage_createBlock(169,372,-23)
setTick(4250);
stage_createBlock(170,276,-23)
setTick(4251);
stage_createBlock(171,120,-23)
setTick(4256);
stage_createBlock(172,396,-23)
setTick(4258);
stage_createBlock(173,288,-23)
setTick(4266);
stage_createBlock(174,16,-23)
stage_createBlock(175,424,-23)
setTick(4273);
stage_createBlock(176,40,-23)
stage_createBlock(177,388,-23)
setTick(4281);
stage_createBlock(178,72,-23)
stage_createBlock(179,356,-23)
setTick(4287);
stage_createBlock(180,100,-23)
stage_createBlock(181,316,-23)
setTick(4294);
stage_createBlock(182,116,-23)
stage_createBlock(183,280,-23)
setTick(4301);
stage_createBlock(184,152,-23)
setTick(4302);
stage_createBlock(185,260,-23)
setTick(4312);
stage_createBlock(186,152,-23)
stage_createBlock(187,260,-23)
setTick(4324);
stage_createBlock(188,152,-23)
stage_createBlock(189,260,-23)
stage_createBlock(190,312,-23)
setTick(4325);
stage_createBlock(191,416,-23)
setTick(4326);
stage_createBlock(192,64,-23)
setTick(4332);
stage_createBlock(193,340,-23)
setTick(4333);
stage_createBlock(194,380,-23)
setTick(4336);
stage_createBlock(195,152,-23)
stage_createBlock(196,260,-23)
setTick(4338);
stage_createBlock(197,16,-23)
stage_createBlock(198,64,-23)
setTick(4339);
stage_createBlock(199,112,-23)
setTick(4342);
stage_createBlock(200,348,-23)
setTick(4344);
stage_createBlock(201,388,-23)
setTick(4348);
stage_createBlock(202,152,-23)
stage_createBlock(203,260,-23)
setTick(4350);
stage_createBlock(204,64,-23)
setTick(4351);
stage_createBlock(205,316,-23)
setTick(4352);
stage_createBlock(206,420,-23)
setTick(4360);
stage_createBlock(207,152,-23)
stage_createBlock(208,260,-23)
setTick(4372);
stage_createBlock(209,152,-23)
stage_createBlock(210,260,-23)
setTick(4377);
stage_createBlock(211,64,-23)
setTick(4384);
stage_createBlock(212,152,-23)
stage_createBlock(213,260,-23)
setTick(4387);
stage_createBlock(214,320,-23)
setTick(4388);
stage_createBlock(215,368,-23)
setTick(4389);
stage_createBlock(216,60,-23)
setTick(4390);
stage_createBlock(217,416,-23)
setTick(4396);
stage_createBlock(218,152,-23)
stage_createBlock(219,260,-23)
setTick(4402);
stage_createBlock(220,56,-23)
setTick(4408);
stage_createBlock(221,152,-23)
stage_createBlock(222,260,-23)
setTick(4417);
stage_createBlock(223,120,-23)
stage_createBlock(224,292,-23)
setTick(4426);
stage_createBlock(225,92,-23)
stage_createBlock(226,320,-23)
setTick(4433);
stage_createBlock(227,60,-23)
stage_createBlock(228,352,-23)
setTick(4438);
stage_createBlock(229,16,-23)
stage_createBlock(230,396,-23)
setTick(4443);
stage_createBlock(231,424,-23)
setTick(4446);
stage_createBlock(232,204,-23)
setTick(4453);
stage_createBlock(233,240,-23)
setTick(4454);
stage_createBlock(234,184,-23)
setTick(4460);
stage_createBlock(235,144,-23)
setTick(4461);
stage_createBlock(236,276,-23)
setTick(4466);
stage_createBlock(237,104,-23)
setTick(4469);
stage_createBlock(238,312,-23)
setTick(4474);
stage_createBlock(239,92,-23)
setTick(4479);
stage_createBlock(240,340,-23)
setTick(4480);
stage_createBlock(241,76,-23)
setTick(4490);
stage_createBlock(242,72,-23)
setTick(4491);
stage_createBlock(243,332,-23)
setTick(4495);
stage_createBlock(244,204,-23)
setTick(4500);
stage_createBlock(245,164,-23)
setTick(4502);
stage_createBlock(246,76,-23)
stage_createBlock(247,312,-23)
setTick(4504);
stage_createBlock(248,232,-23)
setTick(4506);
stage_createBlock(249,124,-23)
setTick(4510);
stage_createBlock(250,276,-23)
setTick(4511);
stage_createBlock(251,88,-23)
setTick(4532);
stage_createBlock(252,84,-23)
stage_createBlock(253,132,-23)
stage_createBlock(254,180,-23)
stage_createBlock(255,228,-23)
stage_createBlock(256,276,-23)
stage_createBlock(257,324,-23)
stage_createBlock(258,372,-23)
setTick(4540);
stage_createBlock(259,268,-23)
setTick(4542);
stage_createBlock(260,180,-23)
setTick(4544);
stage_createBlock(261,84,-23)
stage_createBlock(262,372,-23)
setTick(4547);
stage_createBlock(263,276,-23)
setTick(4555);
stage_createBlock(264,180,-23)
setTick(4556);
stage_createBlock(265,84,-23)
stage_createBlock(266,372,-23)
setTick(4558);
stage_createBlock(267,272,-23)
setTick(4566);
stage_createBlock(268,196,-23)
setTick(4567);
stage_createBlock(269,240,-23)
setTick(4568);
stage_createBlock(270,84,-23)
stage_createBlock(271,372,-23)
setTick(4574);
stage_createBlock(272,124,-23)
setTick(4575);
stage_createBlock(273,336,-23)
setTick(4580);
stage_createBlock(274,84,-23)
stage_createBlock(275,372,-23)
setTick(4581);
stage_createBlock(276,164,-23)
stage_createBlock(277,300,-23)
setTick(4592);
stage_createBlock(278,84,-23)
stage_createBlock(279,176,-23)
stage_createBlock(280,372,-23)
setTick(4593);
stage_createBlock(281,288,-23)
setTick(4604);
stage_createBlock(282,84,-23)
stage_createBlock(283,176,-23)
stage_createBlock(284,372,-23)
setTick(4605);
stage_createBlock(285,288,-23)
setTick(4616);
stage_createBlock(286,84,-23)
stage_createBlock(287,132,-23)
stage_createBlock(288,180,-23)
stage_createBlock(289,228,-23)
stage_createBlock(290,276,-23)
stage_createBlock(291,324,-23)
stage_createBlock(292,372,-23)
setTick(4627);
stage_createBlock(293,164,-23)
stage_createBlock(294,304,-23)
setTick(4639);
stage_createBlock(295,76,-23)
stage_createBlock(296,120,-23)
stage_createBlock(297,164,-23)
stage_createBlock(298,212,-23)
stage_createBlock(299,256,-23)
stage_createBlock(300,304,-23)
stage_createBlock(301,352,-23)
stage_createBlock(302,400,-23)
setTick(4651);
stage_createBlock(303,164,-23)
stage_createBlock(304,308,-23)
setTick(4683);
stage_createBlock(305,172,-23)
setTick(4685);
stage_createBlock(306,100,-23)
setTick(4686);
stage_createBlock(307,24,-23)
setTick(4688);
stage_createBlock(308,288,-23)
setTick(4689);
stage_createBlock(309,60,-23)
setTick(4690);
stage_createBlock(310,136,-23)
stage_createBlock(311,324,-23)
setTick(4697);
stage_createBlock(312,352,-23)
setTick(4706);
stage_createBlock(313,380,-23)
setTick(4708);
stage_createBlock(314,204,-23)
setTick(4714);
stage_createBlock(315,68,-23)
setTick(4717);
stage_createBlock(316,400,-23)
setTick(4719);
stage_createBlock(317,276,-23)
setTick(4721);
stage_createBlock(318,316,-23)
setTick(4722);
stage_createBlock(319,44,-23)
setTick(4730);
stage_createBlock(320,24,-23)
stage_createBlock(321,144,-23)
setTick(4731);
stage_createBlock(322,100,-23)
stage_createBlock(323,324,-23)
setTick(4734);
stage_createBlock(324,208,-23)
setTick(4738);
stage_createBlock(325,356,-23)
setTick(4740);
stage_createBlock(326,312,-23)
setTick(4749);
stage_createBlock(327,364,-23)
setTick(4750);
stage_createBlock(328,296,-23)
setTick(4752);
stage_createBlock(329,108,-23)
setTick(4755);
stage_createBlock(330,436,-23)
setTick(4762);
stage_createBlock(331,120,-23)
setTick(4763);
stage_createBlock(332,276,-23)
setTick(4765);
stage_createBlock(333,432,-23)
setTick(4769);
stage_createBlock(334,156,-23)
setTick(4770);
stage_createBlock(335,92,-23)
setTick(4777);
stage_createBlock(336,436,-23)
setTick(4787);
stage_createBlock(337,436,-23)
setTick(4790);
stage_createBlock(338,184,-23)
setTick(4793);
stage_createBlock(339,276,-23)
setTick(4795);
stage_createBlock(340,144,-23)
stage_createBlock(341,228,-23)
setTick(4798);
stage_createBlock(342,356,-23)
setTick(4802);
stage_createBlock(343,228,-23)
setTick(4804);
stage_createBlock(344,52,-23)
setTick(4809);
stage_createBlock(345,408,-23)
setTick(4810);
stage_createBlock(346,224,-23)
setTick(4817);
stage_createBlock(347,376,-23)
setTick(4818);
stage_createBlock(348,220,-23)
setTick(4820);
stage_createBlock(349,16,-23)
setTick(4825);
stage_createBlock(350,348,-23)
setTick(4826);
stage_createBlock(351,436,-23)
setTick(4827);
stage_createBlock(352,232,-23)
setTick(4833);
stage_createBlock(353,120,-23)
setTick(4835);
stage_createBlock(354,212,-23)
setTick(4841);
stage_createBlock(355,388,-23)
setTick(4850);
stage_createBlock(356,372,-23)
setTick(4851);
stage_createBlock(357,208,-23)
setTick(4852);
stage_createBlock(358,116,-23)
stage_createBlock(359,160,-23)
stage_createBlock(360,292,-23)
setTick(4857);
stage_createBlock(361,344,-23)
setTick(4862);
stage_createBlock(362,312,-23)
setTick(4863);
stage_createBlock(363,212,-23)
setTick(4864);
stage_createBlock(364,380,-23)
setTick(4867);
stage_createBlock(365,52,-23)
setTick(4871);
stage_createBlock(366,184,-23)
setTick(4872);
stage_createBlock(367,84,-23)
setTick(4875);
stage_createBlock(368,436,-23)
setTick(4878);
stage_createBlock(369,152,-23)
setTick(4881);
stage_createBlock(370,380,-23)
setTick(4883);
stage_createBlock(371,288,-23)
setTick(4888);
stage_createBlock(372,116,-23)
setTick(4890);
stage_createBlock(373,228,-23)
setTick(4896);
stage_createBlock(374,180,-23)
setTick(4901);
stage_createBlock(375,336,-23)
setTick(4902);
stage_createBlock(376,208,-23)
setTick(4909);
stage_createBlock(377,268,-23)
setTick(4916);
stage_createBlock(378,192,-23)
setTick(4933);
stage_createBlock(379,20,-23)
stage_createBlock(380,68,-23)
stage_createBlock(381,116,-23)
stage_createBlock(382,164,-23)
stage_createBlock(383,212,-23)
stage_createBlock(384,260,-23)
stage_createBlock(385,308,-23)
stage_createBlock(386,356,-23)
stage_createBlock(387,404,-23)
stage_createBlock(388,444,-23)
setTick(4963);
stage_createBlock(389,24,-23)
stage_createBlock(390,72,-23)
stage_createBlock(391,120,-23)
stage_createBlock(392,232,-23)
stage_createBlock(393,280,-23)
stage_createBlock(394,328,-23)
stage_createBlock(395,376,-23)
stage_createBlock(396,424,-23)
setTick(4991);
stage_createBlock(397,24,-23)
stage_createBlock(398,72,-23)
stage_createBlock(399,120,-23)
stage_createBlock(400,168,-23)
stage_createBlock(401,216,-23)
stage_createBlock(402,328,-23)
stage_createBlock(403,376,-23)
stage_createBlock(404,424,-23)
setTick(5018);
stage_createBlock(405,200,-23)
stage_createBlock(406,248,-23)
stage_createBlock(407,352,-23)
stage_createBlock(408,376,-23)
stage_createBlock(409,424,-23)
setTick(5019);
stage_createBlock(410,8,-23)
stage_createBlock(411,56,-23)
stage_createBlock(412,104,-23)
stage_createBlock(413,152,-23)
setTick(5030);
stage_createBlock(414,360,-23)
setTick(5033);
stage_createBlock(415,408,-23)
setTick(5039);
stage_createBlock(416,344,-23)
setTick(5048);
stage_createBlock(417,168,-23)
setTick(5049);
stage_createBlock(418,24,-23)
stage_createBlock(419,72,-23)
stage_createBlock(420,120,-23)
setTick(5050);
stage_createBlock(421,256,-23)
stage_createBlock(422,304,-23)
setTick(5053);
stage_createBlock(423,408,-23)
setTick(5060);
stage_createBlock(424,168,-23)
setTick(5062);
stage_createBlock(425,256,-23)
stage_createBlock(426,372,-23)
setTick(5071);
stage_createBlock(427,344,-23)
setTick(5072);
stage_createBlock(428,168,-23)
setTick(5074);
stage_createBlock(429,256,-23)
setTick(5079);
stage_createBlock(430,380,-23)
setTick(5081);
stage_createBlock(431,136,-23)
setTick(5083);
stage_createBlock(432,284,-23)
setTick(5086);
stage_createBlock(433,92,-23)
setTick(5087);
stage_createBlock(434,208,-23)
stage_createBlock(435,328,-23)
setTick(5088);
stage_createBlock(436,44,-23)
setTick(5091);
stage_createBlock(437,376,-23)
setTick(5097);
stage_createBlock(438,412,-23)
setTick(5098);
stage_createBlock(439,24,-23)
setTick(5099);
stage_createBlock(440,112,-23)
stage_createBlock(441,204,-23)
stage_createBlock(442,320,-23)
setTick(5105);
stage_createBlock(443,436,-23)
setTick(5111);
stage_createBlock(444,20,-23)
stage_createBlock(445,112,-23)
stage_createBlock(446,200,-23)
stage_createBlock(447,296,-23)
setTick(5123);
stage_createBlock(448,16,-23)
stage_createBlock(449,112,-23)
stage_createBlock(450,200,-23)
stage_createBlock(451,296,-23)
stage_createBlock(452,424,-23)
setTick(5135);
stage_createBlock(453,16,-23)
stage_createBlock(454,112,-23)
stage_createBlock(455,200,-23)
stage_createBlock(456,296,-23)
stage_createBlock(457,424,-23)
setTick(5147);
stage_createBlock(458,16,-23)
stage_createBlock(459,112,-23)
stage_createBlock(460,200,-23)
stage_createBlock(461,296,-23)
stage_createBlock(462,424,-23)
setTick(5159);
stage_createBlock(463,16,-23)
stage_createBlock(464,112,-23)
stage_createBlock(465,200,-23)
stage_createBlock(466,296,-23)
stage_createBlock(467,424,-23)
setTick(5171);
stage_createBlock(468,16,-23)
stage_createBlock(469,112,-23)
stage_createBlock(470,200,-23)
stage_createBlock(471,292,-23)
stage_createBlock(472,424,-23)
setTick(5183);
stage_createBlock(473,16,-23)
stage_createBlock(474,112,-23)
stage_createBlock(475,200,-23)
stage_createBlock(476,292,-23)
stage_createBlock(477,424,-23)
setTick(5195);
stage_createBlock(478,16,-23)
stage_createBlock(479,112,-23)
stage_createBlock(480,200,-23)
stage_createBlock(481,292,-23)
stage_createBlock(482,424,-23)
setTick(5207);
stage_createBlock(483,16,-23)
stage_createBlock(484,112,-23)
stage_createBlock(485,200,-23)
stage_createBlock(486,292,-23)
stage_createBlock(487,424,-23)
setTick(5219);
stage_createBlock(488,16,-23)
stage_createBlock(489,112,-23)
stage_createBlock(490,200,-23)
stage_createBlock(491,292,-23)
stage_createBlock(492,424,-23)
setTick(5231);
stage_createBlock(493,16,-23)
stage_createBlock(494,112,-23)
stage_createBlock(495,200,-23)
stage_createBlock(496,292,-23)
stage_createBlock(497,424,-23)
setTick(5243);
stage_createBlock(498,16,-23)
stage_createBlock(499,112,-23)
stage_createBlock(500,200,-23)
stage_createBlock(501,292,-23)
stage_createBlock(502,424,-23)
setTick(5268);
stage_createBlock(503,64,-23)
stage_createBlock(504,156,-23)
stage_createBlock(505,248,-23)
stage_createBlock(506,364,-23)
setTick(5297);
stage_createBlock(507,224,-23)
setTick(5306);
stage_createBlock(508,184,-23)
setTick(5315);
stage_createBlock(509,140,-23)
setTick(5323);
stage_createBlock(510,100,-23)
setTick(5332);
stage_createBlock(511,64,-23)
setTick(5337);
stage_createBlock(512,252,-23)
setTick(5339);
stage_createBlock(513,24,-23)
setTick(5345);
stage_createBlock(514,288,-23)
setTick(5353);
stage_createBlock(515,328,-23)
setTick(5361);
stage_createBlock(516,368,-23)
setTick(5369);
stage_createBlock(517,408,-23)
setTick(5377);
stage_createBlock(518,192,-23)
stage_createBlock(519,436,-23)
setTick(5385);
stage_createBlock(520,160,-23)
setTick(5392);
stage_createBlock(521,128,-23)
setTick(5398);
stage_createBlock(522,88,-23)
setTick(5406);
stage_createBlock(523,56,-23)
stage_createBlock(524,252,-23)
setTick(5413);
stage_createBlock(525,24,-23)
stage_createBlock(526,288,-23)
setTick(5421);
stage_createBlock(527,324,-23)
setTick(5429);
stage_createBlock(528,364,-23)
setTick(5438);
stage_createBlock(529,400,-23)
setTick(5444);
stage_createBlock(530,428,-23)
setTick(5452);
stage_createBlock(531,192,-23)
setTick(5453);
stage_createBlock(532,240,-23)
setTick(5454);
stage_createBlock(533,136,-23)
setTick(5459);
stage_createBlock(534,292,-23)
setTick(5460);
stage_createBlock(535,88,-23)
setTick(5468);
stage_createBlock(536,324,-23)
setTick(5470);
stage_createBlock(537,220,-23)
setTick(5473);
stage_createBlock(538,60,-23)
stage_createBlock(539,172,-23)
setTick(5479);
stage_createBlock(540,124,-23)
setTick(5481);
stage_createBlock(541,332,-23)
setTick(5483);
stage_createBlock(542,244,-23)
setTick(5490);
stage_createBlock(543,108,-23)
setTick(5494);
stage_createBlock(544,324,-23)
setTick(5496);
stage_createBlock(545,248,-23)
setTick(5503);
stage_createBlock(546,132,-23)
setTick(5506);
stage_createBlock(547,308,-23)
setTick(5512);
stage_createBlock(548,172,-23)
setTick(5514);
stage_createBlock(549,272,-23)
setTick(5516);
stage_createBlock(550,224,-23)
setTick(5528);
stage_createBlock(551,220,-23)
setTick(5541);
stage_createBlock(552,220,-23)
setTick(5553);
stage_createBlock(553,228,-23)
setTick(5565);
stage_createBlock(554,220,-23)
setTick(5573);
stage_createBlock(555,176,-23)
stage_createBlock(556,264,-23)
setTick(5580);
stage_createBlock(557,132,-23)
stage_createBlock(558,312,-23)
setTick(5587);
stage_createBlock(559,92,-23)
setTick(5589);
stage_createBlock(560,344,-23)
setTick(5596);
stage_createBlock(561,384,-23)
setTick(5597);
stage_createBlock(562,64,-23)
setTick(5637);
stage_createBlock(563,16,-23)
stage_createBlock(564,352,-23)
setTick(5638);
stage_createBlock(565,304,-23)
stage_createBlock(566,400,-23)
stage_createBlock(567,436,-23)
setTick(5639);
stage_createBlock(568,60,-23)
stage_createBlock(569,200,-23)
setTick(5640);
stage_createBlock(570,100,-23)
stage_createBlock(571,152,-23)
setTick(5652);
stage_createBlock(572,228,-23)
setTick(5653);
stage_createBlock(573,36,-23)
setTick(5662);
stage_createBlock(574,308,-23)
setTick(5663);
stage_createBlock(575,92,-23)
setTick(5675);
stage_createBlock(576,140,-23)
setTick(5676);
stage_createBlock(577,188,-23)
setTick(5677);
stage_createBlock(578,372,-23)
setTick(5680);
stage_createBlock(579,276,-23)
setTick(5682);
stage_createBlock(580,72,-23)
setTick(5687);
stage_createBlock(581,148,-23)
setTick(5696);
stage_createBlock(582,116,-23)
setTick(5697);
stage_createBlock(583,60,-23)
setTick(5698);
stage_createBlock(584,404,-23)
setTick(5700);
stage_createBlock(585,108,-23)
stage_createBlock(586,184,-23)
setTick(5703);
stage_createBlock(587,348,-23)
setTick(5707);
stage_createBlock(588,236,-23)
setTick(5708);
stage_createBlock(589,300,-23)
setTick(5716);
stage_createBlock(590,124,-23)
setTick(5724);
stage_createBlock(591,292,-23)
setTick(5728);
stage_createBlock(592,112,-23)
setTick(5732);
stage_createBlock(593,360,-23)
setTick(5736);
stage_createBlock(594,64,-23)
setTick(5738);
stage_createBlock(595,172,-23)
setTick(5747);
stage_createBlock(596,96,-23)
setTick(5751);
stage_createBlock(597,256,-23)
setTick(5755);
stage_createBlock(598,388,-23)
setTick(5766);
stage_createBlock(599,300,-23)
setTick(5767);
stage_createBlock(600,60,-23)
setTick(5770);
stage_createBlock(601,148,-23)
setTick(5773);
stage_createBlock(602,224,-22)
setTick(5774);
stage_createBlock(603,372,-23)
setTick(5782);
stage_createBlock(604,112,-23)
setTick(5783);
stage_createBlock(605,420,-23)
setTick(5786);
stage_createBlock(606,284,-23)
setTick(5790);
stage_createBlock(607,60,-23)
setTick(5795);
stage_createBlock(608,216,-23)
setTick(5801);
stage_createBlock(609,372,-23)
setTick(5809);
stage_createBlock(610,156,-23)
setTick(5812);
stage_createBlock(611,80,-23)
setTick(5813);
stage_createBlock(612,292,-23)
setTick(5824);
stage_createBlock(613,36,-23)
setTick(5827);
stage_createBlock(614,192,-23)
setTick(5842);
stage_createBlock(615,428,-23)
setTick(5843);
stage_createBlock(616,312,-23)
setTick(5853);
stage_createBlock(617,136,-23)
setTick(5855);
stage_createBlock(618,216,-23)
setTick(5856);
stage_createBlock(619,64,-23)
setTick(5871);
stage_createBlock(620,296,-23)
stage_createBlock(621,380,-23)
setTick(5872);
stage_createBlock(622,176,-23)
setTick(5873);
stage_createBlock(623,76,-23)
setTick(5890);
stage_createBlock(624,320,-23)
setTick(5896);
stage_createBlock(625,96,-23)
setTick(5902);
stage_createBlock(626,196,-23)
setTick(5911);
stage_createBlock(627,20,-23)
setTick(5912);
stage_createBlock(628,320,-23)
setTick(5915);
stage_createBlock(629,416,-23)

end

function portal()
	setTick(-1)
	createAllDraw();
	createAllMove();
	createAllBp();
	loadBG("BGstage/stage2_info.ini")
	createNPC(6);
	playBGM("bgm/stage2.mp3");
	loadOtherES(0,"sound//boss2laugh.wav");
	loadOtherES(1,"sound//boss2love.wav");

	--10-17
	stage_createRound0(10,10,1);
	--18-25
	stage_createRound1(10,18,1);
	--enemy id: 26-29
	stage_createBlueMode(180,26)
	stage_blueModeFire(250,26);
	stage_blueModeFire(400,26);

	setTick(500)
	showStageTitle(2)

	--id: 30-37
	stage_sideBall(550,30,0)
	--id: 38-45
	stage_sideBall(550,38,1)

	--id: 46-54
	stage_createTrain(900,46,400,7,40)
	stage_trainFire(1900,46,7)

	--id: 55-74
	stage_LRplane(650,55,105,100,2,0.01,10,4,5)
	--id: 75-94
	stage_LRplane(750,75,105,100,2,0.01,10,4,5)

	--id: 95-144
	stage_lineStrike(700,95,10,130,60,10)
	stage_lineStrike(730,105,10,130,130,10)
	stage_lineStrike(760,115,10,130,200,10)
	stage_lineStrike(730,125,10,130,270,10)
	stage_lineStrike(700,135,10,130,340,10)

	--id: 145
	setTick(900)
	createEnemy(145,112,0,-1,-20,140,800);
	setEnemySimpleMove(145,2,-0.5,0,0);
	setEnemyDieEvent(145,0,22,0);
	setTick(1000)
	setEnemySimpleMove(145,0,0,0,0);
	setTick(1100)
	enemyFire(145,20+28,2,43,0,0,1,0);
	enemyFire(145,10,2.5,36,0,0,10,60);
	setTick(1450)
	enemyFire(145,20+28,1,43,0,0,1,0);
	setTick(1900)
	setEnemySimpleMove(145,0,-1,0,0);

	--10-17
	stage_createRound0(1500,10,0);
	--18-25
	stage_createRound1(1500,18,0);

	--146-244
	stage_rainLine(1800,146,15,110,0,0,10);
	stage_rainLine(1800,160,15,110,-40,40,10);
	stage_rainLine(1800,174,15,110,40,-40,10);
	stage_rainLine(1860,188,15,110,-40,80,10);
	stage_rainLine(1860,202,15,110,80,-40,10);
	stage_rainLine(1920,216,15,110,-40,120,10);
	stage_rainLine(1920,230,15,110,120,-40,10);

	--id: 245
	setTick(2250)
	createEnemy(245,114,0,-1,200,-20,1000);
	setEnemySimpleMove(245,0,1,0,0);
	setEnemyDieEvent(245,0,23,0);
	setEnemyAssHp(245);
	setTick(2370)
	setEnemySimpleMove(245,0,0,0,0);
	setTick(2400)
	enemyFire(245,100+34,1,43,0,0,1,0);
	setTick(3100)
	setEnemySimpleMove(245,0,-1,0,0);

	--id:246-257
	stage_xLineRight(2500,246)
	--id:258-269
	stage_xLineLeft(2500,258)

	--id:270-281
	stage_xLineRight(2750,270)
	--id:282-293
	stage_xLineLeft(2750,282)

	--id:294-305
	stage_xLineRight(3000,294)
	--id:306-317
	stage_xLineLeft(3000,306)

	--146-244
	stage_rainLine(3000,146,15,110,0,0,10);
	stage_rainLine(3000,160,15,110,-40,40,10);
	stage_rainLine(3000,174,15,110,40,-40,10);
	stage_rainLine(3060,188,15,110,-40,80,10);
	stage_rainLine(3060,202,15,110,80,-40,10);
	stage_rainLine(3120,216,15,110,-40,120,10);
	stage_rainLine(3120,230,15,110,120,-40,10);

	--100
	setTick(3500)
	createEnemy(100,125,0,-1,224,-50,10000);
	setEnemySimpleMove(100,0,2,0,0);
	setTick(3600)
	playEffectSound(0)
	beginDialog();
	if g_actor==0 then
		showDialog(-2,6,1,"今天真是个好天气呀^但是死了很多人呢^你把我的手下都杀了^你是坏人吧");
		showDialog(-1,-1,0,"你的废话还真多^你应该知道我为什么来这里吧");
		showDialog(-1,-1,1,"不知道呀^突然就火力十足的冲到这里来^你真的很不礼貌呢");
		showDialog(-1,-1,0,"你还真罗嗦^算了，告诉我^理想之门究竟是什么东西!");
		showDialog(-1,-1,1,"理想之门呀？！^跟的上我我就告诉你");
	elseif g_actor==1 then
		showDialog(-2,6,1,"今天真是个好天气呀^但是死了很多人呢^你把我的手下都杀了^你是坏人吧");
		showDialog(-1,-1,0,"应该都是我杀的吧，真对不起^我失忆了，只能到处寻找答案");
		showDialog(-1,-1,1,"但是你这样真的很不礼貌呢^我可爱的部下都死光了");
		showDialog(-1,-1,0,"真对不起^我觉得你也很可爱^我们做个朋友吧");
		showDialog(-1,-1,1,"朋友?!好呀好呀，跟上我^我们一起来玩吧");
	else
		showDialog(-2,6,1,"今天真是个好天气呀^但是死了很多人呢^你把我的手下都杀了^你是坏人吧");
		showDialog(-1,-1,0,"你..你..你是什么人?^居然一眼就看出了我是坏人");
		showDialog(-1,-1,1,"嘻嘻,大家都表扬我眼力好呢^但是我可爱的部下都死光了^我很难过，想杀了你哦");
		showDialog(-1,-1,0,"哦？杀我?!^哈哈，我差点忘了^我来这的任务就是杀了你");
		showDialog(-1,-1,1,"但坏人是不可能打败我的哟^有本事就跟过来呀");
	end
	endDialog();
	setEnemySimpleMove(100,0,-2,0,0);
	changeBGSpeed(2.0);

	setTick(3620)
	changeBGSpeed(3.0);
	setTick(3640)
	changeBGSpeed(4.0);
	setTick(3660)
	changeBGSpeed(5.0);
	setTick(3680)
	changeBGSpeed(6.0);
	setTick(3700)
	changeBGSpeed(8.0);

	stage_createMaze();

	--id:5-6
	setTick(3760)
	createEnemy(5,107,0,-1,100,-20,4000);
	setEnemySimpleMove(5,0,2,0,0);
	setEnemyDieEvent(5,0,23,0);
	createEnemy(6,107,0,-1,348,-20,4000);
	setEnemySimpleMove(6,0,2,0,0);
	setEnemyDieEvent(6,0,23,0);
	setTick(3800)
	setEnemySimpleMove(5,0,0,0,0);
	setEnemySimpleMove(6,0,0,0,0);
	enemyFire(5,20+9,2,31,0,0,1,0);
	enemyFire(6,20+9,2,30,0,0,1,0);
	setTick(5900)
	setEnemySimpleMove(5,0,-2,0,0);
	setEnemySimpleMove(6,0,-2,0,0);

	setTick(6060)
	createEnemy(7,125,0,-1,224,-20,7000);
	setEnemySimpleMove(7,0,2,0,0);
	setEnemyDieEvent(7,3,0,0);
	setEnemyDieEvent(7,1,2,30);
	setEnemyAssHp(7);
	setTick(6120)
	setEnemySimpleMove(7,0,0,0,0);
	playBGM("bgm/stage2boss.mp3");
	beginDialog();
	if g_actor==0 then
		showDialog(-2,6,1,"呼呼^不错呀，还真被你给追上了呢");
		showDialog(-1,-1,0,"那你可以回答我的问题了吧^理想之门究竟是什么?");
		showDialog(-1,-1,1,"我不知道呢");
		showDialog(-1,-1,0,"你...");
		showDialog(-1,-1,1,"是不是很生气了？^嘻嘻...");
	elseif g_actor==1 then
		showDialog(-2,6,1,"哇!^你居然真的跟来过来");
		showDialog(-1,-1,0,"是呀^累死了，那么我们做朋友吧");
		showDialog(-1,-1,1,"我不同意");
		showDialog(-1,-1,0,"你...");
		showDialog(-1,-1,1,"哈哈^你真是个傻姑娘");
	else
		showDialog(-2,6,1,"可恶的坏人^居然追了过来");
		showDialog(-1,-1,0,"那么接下来^你就等着死吧");
		showDialog(-1,-1,1,"我是不会死的呀");
		showDialog(-1,-1,0,"哦？那我倒要看看");
		showDialog(-1,-1,1,"你真有趣");
	end
	endDialog();
	setTick(6121)
	playEffectSound(1)
	bossFire(6120);
end

